Committers: undefined method `compact!' for User::ActiveRecord_Relation

2015-03-13 00:54 - Nicolas Rodriguez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.0

Description

Hi there!

I have installed the plugin on my new Redmine 3.0, configured it, but when I try to manage the comitters of the repository I just added

to my project I get this error:

```

Started GET "/repositories/3/committers" for xxx at 2015-03-08 20:40:37 +0100

Processing by RepositoriesController#committers as HTML

Parameters: {"id"=>"3"}

Current user: leobaillard (id=3)

Completed 500 Internal Server Error in 24ms

NoMethodError (undefined method `compact!' for #<User::ActiveRecord_Relation:0xb27a3e1c>):

app/controllers/repositories_controller.rb:98:in `committers'

```

Here the patch :

Before :

  def committers

    @committers = @repository.committers

    @users = @project.users

    additional_user_ids = @committers.collect(&:last).collect(&:to_i) - @users.collect(&:id)

 After :

  def committers

    @committers = @repository.committers

    @users = @project.users.collect(&:id)

    additional_user_ids = @committers.collect(&:last).collect(&:to_i) - @users

 Thank you!

History

#1 - 2015-03-13 05:26 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Try #19253.

#2 - 2015-03-14 10:55 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

This is already fixed for 3.0.1.

#3 - 2015-03-14 11:23 - Nicolas Rodriguez
https://www.redmine.org/issues/19253


Thank you!
